# Πρόγραμμα Επεξεργασίας Δωρεών

#Εισαγωγή βιβλιοθήκης random
import random

# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Επεξεργασίας Δωρεών")
print()

# Αρχικοποίηση αθροιστών με την τιμή 0
athrisma_doreon=0
ofeloumena_paidia=0
# Αρχικοποίηση μετρητή με την τιμή 0
arithmos_politeknon=0

# Χρήση εντολής επανάληψης for
# Η μεταβλητή i θα λάβει διαδοχικά όλες τις τιμές μεταξύ 1 και 10
for i in range(1,11,1):
    # Ποσό δωρεάς ίσο με ένα τυχαίο ακέραιο μεταξύ 100 και 1000 
    poso_doreas=random.randint(100,1000)
    # Αριθμός παιδιών οφελούμενης οικογένειας ίσο με ένα
    # τυχαίο αριθμό μεταξύ 1 και 6
    arithmos_paidion_oikogeneias=random.randint(1,6)
    print("O Δωρητής #",i,"έδωσε",poso_doreas,"ευρώ σε \
οικογένεια με",arithmos_paidion_oikogeneias,"παιδιά")
    # Αύξηση αθροιστών
    athrisma_doreon=athrisma_doreon + poso_doreas
    ofeloumena_paidia=ofeloumena_paidia+arithmos_paidion_oikogeneias
    # Εάν ο βαθμός των παιδιών της οφελούμενης οικογένειας
    # είναι >= 4, τότε αύξηση του μετρητή πολυτέκνων κατά 1
    if arithmos_paidion_oikogeneias>=4:
        arithmos_politeknon =arithmos_politeknon+1
        
print()
print("Το συνολικό ποσό δωρεών είναι:", athrisma_doreon,"ευρώ")
print("Ο αριθμός των πολύτεκνων οικογενειών που έλαβαν δωρεά \
είναι:", arithmos_politeknon)
# Υπολογισμός μέσου όρου ποσού δωρεας ανά παιδί
mesos_oros_ana_paidi=athrisma_doreon/ofeloumena_paidia
print("Ο μέσος όρος δωρεάς ανά παιδί είναι",'%.2f'\
      %mesos_oros_ana_paidi,"ευρώ")

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα \
Επεξεργασίας Δωρεών") 

